
TYPO3.Flow - Bug # 46053

Status: Resolved Priority: Must have
Author: Thiago Colares Category: Log
Created: 2013-03-05 Assigned To: Karsten Dambekalns
Updated: 2013-03-21 Due date:
PHP Version: 5.3
Has patch: No
Complexity: easy
Affected Flow version: Flow 2.0.0 beta 1
Subject: Booting->initializeSystemLogger() uses a fixed $loggerObjectName, rather than fetch it from Settings.yaml
Description

It should be set by Settings.yaml instead. So...

File: \TYPO3\Flow\Core\Booting

/**
 * Initializes the System Logger
 *
 * @param \TYPO3\Flow\Core\Bootstrap $bootstrap
 * @return void
 */
static public function initializeSystemLogger(Bootstrap $bootstrap) {
    ...
    $systemLogger = \TYPO3\Flow\Log\LoggerFactory::create('SystemLogger', 'TYPO3\Flow\Log\Logger',
$settings['log']['systemLogger']['backend'], $settings['log']['systemLogger']['backendOptions']);
    ...
}

Should something like

/**
 * Initializes the System Logger
 *
 * @param \TYPO3\Flow\Core\Bootstrap $bootstrap
 * @return void
 */
static public function initializeSystemLogger(Bootstrap $bootstrap) {
    ...
    $systemLogger = \TYPO3\Flow\Log\LoggerFactory::create('SystemLogger', $settings['log']['logger']['backend'],
$settings['log']['systemLogger']['backend'], $settings['log']['systemLogger']['backendOptions']);
    ...
}

Note: I'm using $settings['log']['logger'] rather than 'TYPO3\Flow\Log\Logger'. Consequently, the Settings.yaml should be updated:

TYPO3:
  Flow:
    log:
      ...
      systemLogger:
        ...
        logger: 'TYPO3\Flow\Log\Logger'

Related issues:
related to TYPO3.Flow - Task # 47346: Configuration schema for doctrine cache... Resolved 2013-04-18
duplicates TYPO3.Flow - Bug # 40738: Move System logger className to Settings... Resolved 2012-09-07

Associated revisions
Revision 0c1046e9 - 2013-03-18 10:15 - Henrik Møller Rasmussen

[FEATURE] Make System Logger frontend configurable

Move hard coded TYPO3\FLOW3\Log\Logger to Settings.yaml instead. This
allows a user to fully replace the logger instead of just adding or
removing backends.

Resolves: #40738 #46053
Releases: master, 2.0
Change-Id: I6da4763fb94798b1d1647b6108457996a48aa128

Revision b1c23134 - 2013-03-21 15:18 - Henrik Møller Rasmussen

[FEATURE] Make System Logger frontend configurable

Move hard coded TYPO3\FLOW3\Log\Logger to Settings.yaml instead. This
allows a user to fully replace the logger instead of just adding or
removing backends.

Resolves: #40738
Resolves: #46053
Releases: master, 2.0
Change-Id: I6da4763fb94798b1d1647b6108457996a48aa128

Revision 8ece7498 - 2013-03-21 16:00 - Karsten Dambekalns

[BUGFIX] Undefined index breaks logger setup in Production

With I6da4763fb94798b1d1647b6108457996a48aa128 the logger used for the
system log was made configurable. In Production context, when cached
settings are used, this breaks after an update - and even --force with a
cache flush does not help.

This change adds a safeguard against the settings not being there.

Change-Id: I3d72e8c8580f552f45a1865bd45dae01c4413cce
Related: #40738
Related: #46053
Releases: master, 2.0

Revision c3f0cdbf - 2013-03-21 16:05 - Karsten Dambekalns

[BUGFIX] Undefined index breaks logger setup in Production

With I6da4763fb94798b1d1647b6108457996a48aa128 the logger used for the
system log was made configurable. In Production context, when cached
settings are used, this breaks after an update - and even --force with a
cache flush does not help.

This change adds a safeguard against the settings not being there.

Change-Id: I3d72e8c8580f552f45a1865bd45dae01c4413cce
Related: #40738
Related: #46053
Releases: master, 2.0

Revision 29ea4e4d - 2013-03-27 12:05 - Henrik Møller Rasmussen

[FEATURE] Make System Logger frontend configurable

Move hard coded TYPO3\FLOW3\Log\Logger to Settings.yaml instead. This
allows a user to fully replace the logger instead of just adding or
removing backends.

Resolves: #40738 #46053
Releases: master, 2.0
Change-Id: I6da4763fb94798b1d1647b6108457996a48aa128

Revision 60e1bd57 - 2013-03-27 12:05 - Karsten Dambekalns

[BUGFIX] Undefined index breaks logger setup in Production

With I6da4763fb94798b1d1647b6108457996a48aa128 the logger used for the
system log was made configurable. In Production context, when cached
settings are used, this breaks after an update - and even --force with a
cache flush does not help.

This change adds a safeguard against the settings not being there.

Change-Id: I3d72e8c8580f552f45a1865bd45dae01c4413cce
Related: #40738
Related: #46053
Releases: master, 2.0

History
#1 - 2013-03-06 01:28 - Thiago Colares
- File 46053 added

#2 - 2013-03-06 10:58 - Karsten Dambekalns
- Category set to Log

#3 - 2013-03-18 10:05 - Karsten Dambekalns
- Status changed from New to Closed
- Assigned To set to Karsten Dambekalns

See #40738 for progress.

#4 - 2013-03-20 16:11 - Gerrit Code Review
- Status changed from Closed to Under Review

Patch set 2 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/19084

#5 - 2013-03-21 16:13 - Gerrit Code Review

Patch set 3 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/19084

#6 - 2013-03-21 17:37 - Henrik Møller Rasmussen
- Status changed from Under Review to Resolved

Applied in changeset commit:b1c23134f132bfce2b2eb828222b966d3e06e360.
